### Function

# FwupdPlugin DeviceRetryFunc

#### Declaration

    gboolean
    (* FuDeviceRetryFunc) (
      FuDevice* self,
      gpointer user_data,
      GError** error
    )

#### Description [src]

The device retry iteration callback.

#### Parameters

`self` | `FuDevice`
| A `FuDevice`.
| The data is owned by the caller of the function.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.